
VIRTUAL CREDIT CARD - Bug #15250

Android [TREATS] [Treats Cash] Wrong mapping at the Input Details screen

18 December 2022 10:01 AM - hsulynn pang

Status: Closed Start date: 18 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: uattreats001

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card 5452990000874010 for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) click the SOF

(7) verify the input details screen

Actual result:

(1) The treats cash balance value is not get from treats_total param

(2) The expiry value is not get from expire_value param

(3) the minimum redemption value (left part of slider) is not get from minimum_redemption param

(4) the maximum redemption value (right part of slider) is not get from treats_total param

Expected result:

(1) The treats cash balance value is get from treats_total param

(2) The expiry value is get from expire_value param

(3) the minimum redemption value (left part of slider) is get from minimum_redemption param

(4) the maximum redemption value (right part of slider) is get from treats_total param

History

#1 - 18 December 2022 10:01 AM - hsulynn pang

- Subject changed from Android [TREATS] [Treats Cash] Wrong mapping at the  to Android [TREATS] [Treats Cash] Wrong mapping at the Input

Details screen

#2 - 18 December 2022 01:24 PM - hsulynn pang

- Assignee changed from Hao Ter Tai to Septi Gizka Tiara

#3 - 19 December 2022 02:52 PM - Abdul Halim Baharom

- Status changed from New to In Progress

- Assignee changed from Septi Gizka Tiara to Abdul Halim Baharom

#4 - 19 December 2022 06:01 PM - Abdul Halim Baharom

- Status changed from In Progress to Resolved

#5 - 19 December 2022 09:44 PM - hsulynn pang

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#6 - 19 December 2022 09:56 PM - hsulynn pang

- Status changed from Resolved to Closed
tested ok

#7 - 19 December 2022 09:56 PM - hsulynn pang

- File retest.mp4 added

Files

expected result.PNG 74.3 KB 18 December 2022 hsulynn pang

wrong mapping.PNG 166 KB 18 December 2022 hsulynn pang

retest.mp4 2.51 MB 19 December 2022 hsulynn pang
